---
title: Arity
published: 2020-01-24
---

> rockos modern life... ｒｏｃｋｏｓ． ｍｏｄｅｒｎ． ｌｉｆｅ．

modern society has something of an arity problem, which is probably one of the most pretentious sentences ever typed on this blog. if we are to lead more enriching and fulfilling lives we must reduce the arity of what every person needs to deal with to survive.

## tf is an arity

in psuedo-intellectual functional programming logic circle jerks, an *arity* refers to the number of arguments a type has, examples of this would be the difference between: `Bool`, `List a` and `Either a b`

as arity increases, the total complexity of that type also increases, each arity multiplies the number of possible values fitting into that type.

## the map of life

i like to think about types a lot

> far more than my smol brain would imply

and mapping out things in terms of types is both fun, and has a hint of zen.

things arent as complicated as they first appear, and can often be reduced to very logical abstractions. however this works in reverse too.

everyday life under the system of society were in is ***far*** too complicated, or you could say, its arity is too high.

in order to *live* in this world i must learn, remember and constantly play into to so many systems of economics, and law, and social contracts, and education and corporatism to be able to do *anything*.

i cannot explain the complete system that leads to me being able to spend currency to buy food. i could not tell you every piece of data that i would need in order to rent a room in a flat.

i couldn't even tell you the important data i have.

## soul bloat

when you go on a holiday, you realise how much of your brain is being taken up stressing about work. i believe the system we live in is a similar beast, constantly keeping room in our heads to stress about what we have, what we need, and how things work, simply to have our basic needs met in a society that doesnt really seem to care about us other than as cattle to keep the cogs turning.

we have so many things keeping us **down**, keeping us **in place**. travel is ridiculously complex and doing anything at all requires ***far far far too much invasion of privacy***

the map of everything important is too big for any one person to know

we must focus on a flat type map of life, something small, and succint, and elegant.

when we're not spending literally a lifetime searching this massively complex proof space, we could start actually ***living***

get up and move as you please, barter and trade goods and services with the principle of mutual aid and paying things forward.

explore ***life*** and find people to talk to and learn from

reject a cookie cutter corporate ladder and instead justify your own, unique raison d'etre

or apparently spend it all writing pretentious thought-pieces `¯\_(ツ)_/¯`

`:wq`
