---
title: An Idiot's Guide to Retina
published: 2018-09-26
---

***a clarification***

the idiot in the title refers to the person who wrote it, not necesserily to the person reading this.

## battlecon

BattleCon is one of my favourite boardgames and its made by a bunch of really great people.

at its core its a card game version of something like street fighter (if you're a pleb) or Melty Blood (if you're a cool guy slash gal)

it currently has a kickstarter running for the latest set, which you should check out [here](https://www.kickstarter.com/projects/level99games/battlecon-unleashed-the-ultimate-battlecon-edition/description) as well as an online version which you can grab for free [here](https://store.steampowered.com/app/792570/BattleCON_Online/)

as part of the promotion for the kickstarter im writing a guide for my custom character **Retina**, which has recieved very little playtesting because im bad at balance.

so without further ado

## retina

### flavour

retina is a girl who wears headphones and is a *slick-ass fighter*.

she is the friend of iris (the [vg gal](http://vggal.smackjeeves.com/comics/1209666/iris-watches-cat-mom-hugs-baby-kitten/) and the respective [battlecon promo](http://indines.wikia.com/wiki/VG_Gal_Iris)

since creating this character i have come to realise that **vg gal iris** was named after the flower, and not the part of the eye, however ive become attached to the name **retina** for my character so we'll leave it at that.

she is *excited on the inside* because she is somewhat of a self insert character and im expressionless. sue me.

her fighting style involves being ***in-tune*** with her opponent, which grants her extra power, however if she loses focus these are lost until she can sync back up with the opponent.

### kit

**Retina** is, like every single other battlecon character, a ***Brawler***. she has very bread and butter battlecon effects, with an emphisis on movement.

her up to date kit including balance changes is hosted at the [BattleCon Customs Database](https://docs.google.com/spreadsheets/d/1sa6_yY1HNwKPRmv1QcTBuLI6pcPkMFvz2IjC8vYpdVg/edit#gid=539552628) but i will also list it her, with what it was at the time of writing.

### Unique Ability

**Retina** has a single, double-sided Form Card. She begins the duel **In-Tune**.

She can only activate **In-Tune** effects while she is **In-Tune**, and can only activate **Out-of-Tune** effects while **Out-of-Tune**.

**In-Tune**:
When you are stunned, flip this card and discard it with your current attack pair.
+1 Priority.

**Out-of-Tune**:
This card cycles together with your discard piles. When it leaves your discard piles, regain and flip it.
-1 Power.

### Styles

***Thumping***

+0 Range, +0 Power, +0 Priority

**Reveal, In-Tune**: +1 Power  
**Before Activating, In-Tune**: Move up to 1 space.  

***Piercing***

+1 Range, +0 Power, +1 Priority

**Start of Beat, In-Tune**: Push the opponent 1 space.  
**In-Tune**: If the opponent would move more than 1 space, reduce that movement to 1 space.  

***Deep***

+0~1 Range, +0 Power, +0 Priority

**Out-of-Tune**: Stun Immunity  
**In-Tune**: This attack does not stun opponents  

***Reverberating***

+0 Range, -1 Power, +0 Priority

**Reveal, In-Tune**: +0~1 Range. If the opponent has any positive Power modifiers, +2 Power.  
**End of Beat**: Move up to 2 spaces.  

***Booming***

+1~2 Range, -1 Power, -2 Priority

**Start of Beat**: Push the opponent 1 or 2 spaces  

### Unique Base

***Beat***

1~3 Range, 2 Power, 4 Priority

**End of Beat**: Move up to 1 space. you may swap your discard piles  

### Finishers

***Drop the Bass!***

1~6 Range, 4 Power, 1 Priority

> It's been a long build up!

Stun Immunity  
**Reveal, Out-of-Tune**: Remove your form card from your discard piles, and flip it to its **In-Tune** side.

***Blow the Speakers!***

1~2 Range, 7 Power, 6 Priority

> Totally worth it!

**After Activating**: Flip your form card to its Out-of-Tune side and remove it from your discard piles. For the rest of the game you cannot flip your form card.

## strategy

retina is somewhat of a brawler, who likes to play the clock. she would rather jump around and hit for small amounts, than trade for larger amounts.

this is because she gets quite weaker while out of tune, and she lacks stun guard on any of her styles outside of ***Deep*** (which ironically does not help while in-tune anyway).

because of this she likes:

* fast attacks that can stun
* positioning so that the opponent misses
* strike

### fast attacks

**retina** has a lot of styles with either neutral or positive priority on them. this means that against a lot of people she will often outspeed unless up against a speedster. this is helped by her **In-Tune** offering an extra priority as long as she can remain unstunned.

fast bases like **drive** and **grasp**, and her unique base **beat** help to stun an opponent who does not have large amounts of stun-guard, and while she may not trade for much (she lacks a lot of positive power), she hopefully will not get stunned, and thus stay in-tune.

### positioning

against heavies with lots of stun guard, **retina's** best option is to try and play the range game, and move either herself or the opponent so that they will miss.

her best tools for this are the base ***grasp***, as well as her styles ***piercing*** and ***booming*** which can both move the opponent.

this is especially useful against characters with lots of close range options, as you can often move them out of range 1 and win the beat.

as always, ***burst*** and ***drive*** help with this too

### strike

another line of play is to abuse ***strike***, and to a lesser extent ***shot***, which both offer stun guard. this allows **retina** to make a trade (hopefully) without getting stunned, and more importantly can allow for mixups with opponents who were expecting a fast and tricksy character.

## becoming out-of-tune

should you get stunned (and if you're as bad at battlecon as i am, this will happen a lot) you have a few options to get back to your peak.

### dodge

it will take two turns after being stunned for you to return to being **In-Tune**. if you can successfully dodge then this will reduce your downtime by half, so its very good to dodge when you can.

beware of easy clashes when doing this. the only real pair **retina** has to get out of the standard 3/4 prio dodge is ***booming***, which is a bit of a nonbo unless you're against close range opponents.

### deep

if you'd rather go on the offensive, ***deep*** while **Out-of-Tune** lets you get in any damage as long as you can maintain range, regardless of priority or stun guard. this is one of **retina's** few tanking abilities, so it can be a nice surprise for an opponent expecting to get a quick stun in while you're weak.

### beat

finally, ***beat*** allows you to swap your discard piles. this drops one turn off of your downtime, but it is predictable, and stops you being able to use beat to replay your best attacks. if you can avoid getting clashed however, beat lets you get back in tune after the beat turn, which can be quite powerful.

## final thoughts

please email me at [ta@p7.co.nz](mailto:ta@p7.co.nz) if you have any balance ideas, or ping me on tA on the battlecon discord.

if this is your first introduction to battlecon, then please play! its a really great game.

thanks for listening pals

`a new challenger approaches!`
